### Knowledge Graph Completion
__QUERY2BOX: REASONING OVER KNOWLEDGE GRAPHS IN VECTOR SPACE USING BOX EMBEDDINGS__ 
ICLR 2020. [[Paper](https://arxiv.org/pdf/2002.05969.pdf)] [[Code](http://snap.stanford.edu/query2box)]

__Differentiable learning of numerical rules in knowledge graphs__
ICLR 2020. _Wang et al._ [[Paper](https://openreview.net/forum?id=rJleKgrKwS)]

__Open Knowledge Enrichment for Long-tail Entities__.
WWW 2020. _Cao et al._. [[Paper](https://arxiv.org/pdf/2002.06397.pdf)] [[Code](https://github.com/nju-websoft/OKELE/)]

__LowFER: Low-rank Bilinear Pooling for Link Prediction__.
ICML 2020. _Amin et al._ [[Paper](https://proceedings.icml.cc/static/paper_files/icml/2020/2919-Paper.pdf)]

__Beyond Triplets: Hyper-Relational Knowledge Graph Embedding for Link Prediction__
WWW 2020. _Rosso et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380257)]

__Generalizing Tensor Decomposition for N-ary Relational Knowledge Bases__
WWW 2020. _Liu et al._. [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380188)]

__Relation Adversarial Network for Low Resource Knowledge Graph Completion__
WWW 2020. _Zhang et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380089)]

__Mining Implicit Entity Preference from User-Item Interaction Data for Knowledge Graph Completion via Adversarial Learning__
WWW 2020. _He et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380155)]

__Open Knowledge Enrichment for Long-tail Entities__.
WWW 2020. _Cao et al._.
[[Paper](https://arxiv.org/pdf/2002.06397.pdf)] [[Code](https://github.com/nju-websoft/OKELE/)]

__Spring-Electrical Models For Link Prediction__. 
WSDM 2019. _Kashinskaya, Yana and Samosvat, Egor and Artikov, Akmal_. [[Paper](https://dl.acm.org/citation.cfm?id=3290961)]

__LENA: Locality-Expanded Neural Embedding for Knowledge Base Completion__. AAAI 2019.
_Kong et al._ [[Paper](https://aaai.org/ojs/index.php/AAAI/article/view/4144/4022)] [[Code](https://github.com/fskong/LENA)]

__On Completing Sparse Knowledge Graph with Transitive Relation Embedding__. AAAI 2019.
_Zhou et al._ [[Paper](https://aaai.org/ojs/index.php/AAAI/article/view/4173/4051)]

__End-to-end Structure-Aware Convolutional Networks for Knowledge Base Completion__. AAAI 2019. _Shang, Chao and Tang, Yun and Huang, Jing and Bi, Jinbo and He, Xiaodong and Zhou, Bowen_. [[Paper](https://arxiv.org/pdf/1811.04441)]

__An Open-World Extention to Knowledge Graph Completion MOdels__. AAAI 2019. _Haseeb Shah, Johannes Villmow, Adrian Ulges, Ulrich Schwanecke, Faisal Shafait_. [[Paper](https://www.aaai.org/ojs/index.php/AAAI/article/view/4162/4040)] [[Code](http://github.com/haseebs/OWE)]

__Embedding Multimodal Relational Data for Knowledge Base Completion__. EMNLP 2018. _Pezeshkpour, Pouya, Liyan Chen, and Sameer Singh._ [[Paper](https://arxiv.org/pdf/1809.01341.pdf)] [[Code](https://github.com/pouyapez/mkbe)] [[Note](./notes/completion/mkbe.md)]  

__Shared Embedding Based Neural Networks for Knowledge Graph Completion__. CIKM 2018. _Guan, Saiping and Jin, Xiaolong and Wang, Yuanzhuo and Cheng, Xueqi_. [[Paper](https://dl.acm.org/citation.cfm?id=3271704)]

__Expanding Holographic Embeddings for Knowledge Completion__. NIPS 2018. _Yexiang Xue, Yang Yuan, Zhitian Xu, and Ashish Sabharwal_. [[Paper](http://papers.nips.cc/paper/7701-expanding-holographic-embeddings-for-knowledge-completion)]

__M-Walk: Learning to Walk over Graphs using Monte Carlo Tree Search__. NIPS 2018. Yelong Shen, Jianshu Chen, Po-Sen Huang, Yuqing Guo, Jianfeng Gao. [[Paper](http://papers.nips.cc/paper/7912-m-walk-learning-to-walk-over-graphs-using-monte-carlo-tree-search)]

__Translating Embeddings for Knowledge Graph Completion with Relation Attention Mechanism__. IJCAI 2018. _Qian, Wei and Fu, Cong and Zhu, Yu and Cai, Deng and He, Xiaofei_. [[Paper](https://www.ijcai.org/proceedings/2018/0596.pdf)]


__Knowledge Transfer for Out-of-Knowledge-Base Entities: A Graph Neural Network Approach__
IJCAI 2017. _Hamaguchi et al._ [[Paper](https://www.ijcai.org/Proceedings/2017/0250.pdf)] [[Code](https://github.com/takuo-h/GNN-for-OOKB)]


__An Interpretable Knowledge Transfer Model for Knowledge Base Completion__. ACL 2017. _Xie, Qizhe and Ma, Xuezhe and Dai, Zihang and Hovy, Eduard_. [[Paper](https://arxiv.org/pdf/1704.05908)]

__A novel embedding model for knowledge base completion based on convolutional neural network__. NAACL 2018. _Nguyen, Dai Quoc and Nguyen, Tu Dinh and Nguyen, Dat Quoc and Phung, Dinh_. [[Paper](https://arxiv.org/pdf/1712.02121)]

__ProjE: Embedding projection for knowledge graph completion__. AAAI 2017. _Shi, Baoxu and Weninger, Tim_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI17/paper/viewFile/14279/13906)] [[Code](https://github.com/nddsg/ProjE)]

__TuckER: Tensor Factorization for Knowledge Graph Completion__. _Balažević, Ivana and Allen, Carl and Hospedales, Timothy M_.
[[Paper](https://arxiv.org/pdf/1901.09590.pdf)] [[Code](https://github.com/ibalazevic/TuckER)]

__Open-world knowledge graph completion__. AAAI 2018. _Shi, Baoxu and Weninger, Tim_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/viewFile/16055/15901)] [[Code](https://github.com/bxshi/ConMask)]

__On Multi-Relational Link Prediction with Bilinear Models__. AAAI 2018. _Wang, Yanjie and Gemulla, Rainer and Li, Hui_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/download/16900/16722)] [[Code](http://dws.informatik.uni-mannheim.de/en/resources/software/tf/)]

__Inferring missing entity type instances for knowledge base completion: New dataset and methods__. 
NAACL 2016. _Neelakantan, Arvind and Chang, Ming-Wei_. [[Paper](https://arxiv.org/pdf/1504.06658)]

__Compositional Vector Space Models for Knowledge Base Completion__. 
ACL-IJCNLP 2015. _Neelakantan, Arvind and Roth, Benjamin and McCallum, Andrew_. [[Paper](http://anthology.aclweb.org/P/P15/P15-1016.pdf)]

### Knowledge Graph Refinement
__What is Normal, What is Strange, and What is Missing in a Knowledge Graph: Unified Characterization via Inductive Summarization__
WWW 2020. _Belth et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380189)]


__Correcting Knowledge Base Assertions__.
WWW 2020. _Chen et al._. [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380226)]

__Expanding Taxonomies with Implicit Edge Semantics__
WWW 2020. _Manzoor et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380271)]