## Relation Extraction

__Few-shot Relation Extraction via Bayesian Meta-learning on Task Graphs__.
ICML 2020. _Qu et al._ [[Paper](https://proceedings.icml.cc/static/paper_files/icml/2020/5706-Paper.pdf)]

__NERO: A Neural Rule Grounding Framework for Label-Efficient Relation Extraction__
WWW 2020. _Zhou et al._. [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380282)]

__LOREM: Language-consistent Open Relation Extraction from Unstructured Text__.
WWW 2020. _Harting et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380252)]

__Long-tail Relation Extraction via Knowledge Graph Embeddings and Graph Convolution Networks__. NAACL 2019. _Ningyu Zhang, Shumin Deng, Zhanlin Sun, Guanying Wang, Xi Chen, Wei Zhang, Huajun Chen_. [[Paper](https://arxiv.org/abs/1903.01306)]  

__Discovering Correlations between Sparse Features in Distant Supervision for Relation Extraction__. WSDM 2019. _Qu, Jianfeng and Ouyang, Dantong and Hua, Wen and Ye, Yuxin and Zhou, Xiaofang_. [[Paper](https://dl.acm.org/citation.cfm?id=3291004)]

__A Hierarchical Framework for Relation Extraction with Reinforcement Learning__. AAAI 2019. _Takanobu, Ryuichi and Zhang, Tianyang and Liu, Jiexi and Huang, Minlie_. [[Paper](https://arxiv.org/pdf/1811.03925.pdf)] [[Code](https://github.com/truthless11/HRL-RE)]

__Neural Relation Extraction via Inner-Sentence Noise Reduction and Transfer Learning__. EMNLP 2018. _Liu, Tianyi, Xinsong Zhang, Wanhao Zhou, and Weijia Jia._ [[Paper](https://arxiv.org/pdf/1808.06738.pdf)] [[Note](./notes/RE/inner-sentence.md)]  

__DSGAN: Generative Adversarial Training for Robust Distant Supervision Relation Extraction__. ACL 2018. _Pengda Qin, Weiran Xu, William Yang Wang_. [[Paper](https://arxiv.org/pdf/1805.09929.pdf)]

__Deep Residual Learning for Weakly-Supervised Relation Extraction__. EMNLP 2017. _Yi Yao Huang, William Yang Wang_. [[Paper](http://www.cs.ucsb.edu/~william/papers/ResCNN.pdf)]
[[Code](https://github.com/darrenyaoyao/ResCNN_RelationExtraction)]

__Incorporating Relation Paths in Neural Relation Extraction__. EMNLP 2017. _Zeng, Wenyuan and Lin, Yankai and Liu, Zhiyuan and Sun, Maosong_. [[Paper](http://www.aclweb.org/anthology/D17-1186)] [[Code](http://github.com/thunlp/PathNRE)]

__Knowledge-based weak supervision for information extraction of overlapping relations__. ACL 2011. _Hoffmann, Raphael and Zhang, Congle and Ling, Xiao and Zettlemoyer, Luke and Weld, Daniel S_. [[Paper](http://www.aclweb.org/anthology/P11-1055)]

__Learning syntactic patterns for automatic hypernym discovery__. NIPS 2005. _Snow, Rion and Jurafsky, Daniel and Ng, Andrew Y_. [[Paper](http://papers.nips.cc/paper/2659-learning-syntactic-patterns-for-automatic-hypernym-discovery.pdf)]

__Distant supervision for relation extraction without labeled data__. ACL 2009. _Mintz, Mike and Bills, Steven and Snow, Rion and Jurafsky, Dan_. [[Paper](https://www.aclweb.org/anthology/P09-1113)]

__Modeling relations and their mentions without labeled text__. ECML 2010. _Riedel, Sebastian and Yao, Limin and McCallum, Andrew_. [[Paper](https://link.springer.com/content/pdf/10.1007/978-3-642-15939-8_10.pdf)]

__Multi-instance multi-label learning for relation extraction__. EMNLP 2012. _Surdeanu, Mihai and Tibshirani, Julie and Nallapati, Ramesh and Manning, Christopher D_. [[Paper](http://www.aclweb.org/anthology/D12-1042)]

__Connecting Language and Knowledge Bases with Embedding Models for Relation Extraction__. EMNLP 2013. _Weston, Jason and Bordes, Antoine and Yakhnenko, Oksana and Usunier, Nicolas_. [[Paper](https://arxiv.org/pdf/1307.7973.pdf)]

__Distant supervision for relation extraction with matrix completion__. ACL 2014. _Fan, Miao and Zhao, Deli and Zhou, Qiang and Liu, Zhiyuan and Zheng, Thomas Fang and Chang, Edward Y_. [[Paper](http://www.aclweb.org/anthology/P14-1079)]

__Semantic compositionality through recursive matrix-vector spaces__. EMNLP 2012. _Socher, Richard and Huval, Brody and Manning, Christopher D and Ng, Andrew Y_. [[Paper](https://aclanthology.info/pdf/D/D12/D12-1110.pdf)]

__End-to-End Relation Extraction using LSTMs on Sequences and Tree Structures__. ACL 2016. _Miwa, Makoto and Bansal, Mohit_. [[Paper](http://www.aclweb.org/anthology/P16-1105)]

__Relation Classification via Convolutional Deep Neural Network__. COLING 2014. _Zeng, Daojian and Liu, Kang and Lai, Siwei and Zhou, Guangyou and Zhao, Jun_. [[Paper](http://anthology.aclweb.org/C/C14/C14-1220.pdf)]

__Classifying relations via long short term memory networks along shortest dependency paths__. EMNLP 2015. _Xu, Yan and Mou, Lili and Li, Ge and Chen, Yunchuan and Peng, Hao and Jin, Zhi_. [[Paper](http://www.aclweb.org/anthology/D15-1206)]

__Classifying Relations by Ranking with Convolutional Neural Networks__. ACL 2015. _dos Santos, Cicero and Xiang, Bing and Zhou, Bowen_. [[Paper](http://www.anthology.aclweb.org/P/P15/P15-1061.pdf)]

__Distant supervision for relation extraction via piecewise convolutional neural networks__. EMNLP 2015. _Zeng, Daojian and Liu, Kang and Chen, Yubo and Zhao, Jun_. [[Paper](http://www.aclweb.org/anthology/D15-1203)]

__Neural relation extraction with selective attention over instances__. ACL 2016. _Lin, Yankai and Shen, Shiqi and Liu, Zhiyuan and Luan, Huanbo and Sun, Maosong_. [[Paper](http://www.aclweb.org/anthology/P16-1200)] [[Code](http://github.com/thunlp/NRE)]

__Adversarial training for relation extraction__. EMNLP 2017. _Wu, Yi and Bamman, David and Russell, Stuart_. [[Paper](https://www.aclweb.org/anthology/D17-1187)] [[Code](https://github.com/jxwuyi/AtNRE)]

__Relation Extraction with Multi-instance Multi-label Convolutional Neural Networks__. COLING 2016. _Jiang, Xiaotian and Wang, Quan and Li, Peng and Wang, Bin_. [[Paper](https://www.aclweb.org/anthology/C16-1139)]

__Jointly Extracting Relations with Class Ties via Effective Deep Ranking__. ACL 2017. _Ye, Hai and Chao, Wenhan and Luo, Zhunchen and Li, Zhoujun_ [[Paper](https://www.aclweb.org/anthology/P17-1166)]

__A soft-label method for noise-tolerant distantly supervised relation extraction__. EMNLP 2017. _Liu, Tianyu and Wang, Kexiang and Chang, Baobao and Sui, Zhifang_. [[Paper](https://www.aclweb.org/anthology/D17-1189)]

__Distant supervision for relation extraction with sentence-level attention and entity descriptions__. AAAI 2017. _Ji, Guoliang and Liu, Kang and He, Shizhu and Zhao, Jun_. [[Paper](https://www.aaai.org/Conferences/AAAI/2017/PreliminaryPapers/14-JiG-14491.pdf)]

__Attention-based convolutional neural network for semantic relation extraction__. COLING 2016. _Shen, Yatian and Huang, Xuanjing_. [[Paper](https://www.aclweb.org/anthology/C16-1238)]

__Neural knowledge acquisition via mutual attention between knowledge graph and text__. AAAI 2018. _Han, Xu and Liu, Zhiyuan and Sun, Maosong_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/viewFile/16691/16013)] [[Code](https://github.com/thunlp/JointNRE)] Also for KGC.

__Cooperative Denoising for Distantly Supervised Relation Extraction__. COLING 2018. _Lei, Kai and Chen, Daoyuan and Li, Yaliang and Du, Nan and Yang, Min and Fan, Wei and Shen, Ying_. [[Paper](https://www.aclweb.org/anthology/C18-1036)]

__Hierarchical Relation Extraction with Coarse-to-Fine Grained Attention__. EMNLP 2018. _Han, Xu and Yu, Pengfei and Liu, Zhiyuan and Sun, Maosong and Li, Peng_. [[Paper](https://www.aclweb.org/anthology/D18-1247)] [[Code](https://github.com/thunlp/HNRE)]

__Large scaled relation extraction with reinforcement learning__. AAAI 2018. _Zeng, Xiangrong and He, Shizhu and Liu, Kang and Zhao, Jun_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/download/16257/16125)]

__Robust Distant Supervision Relation Extraction via Deep Reinforcement Learning__. ACL 2018. _Qin, Pengda and Weiran, XU and Wang, William Yang_. [[Paper](https://www.aclweb.org/anthology/P18-1199)]

__Incorporating vector space similarity in random walk inference over knowledge bases__. EMNLP 2014. _Gardner, Matt and Talukdar, Partha and Krishnamurthy, Jayant and Mitchell, Tom_. [[Paper](https://www.aclweb.org/anthology/D14-1044)]

### Relation Classification
__Bidirectional recurrent convolutional neural network for relation classification__. ACL 2016. _Cai, Rui and Zhang, Xiaodong and Wang, Houfeng_. [[Paper](https://www.aclweb.org/anthology/P16-1072)]

__Attention-based bidirectional long short-term memory networks for relation classification__. ACL 2016. _Zhou, Peng and Shi, Wei and Tian, Jun and Qi, Zhenyu and Li, Bingchen and Hao, Hongwei and Xu, Bo_. [[Paper](https://www.aclweb.org/anthology/P16-2034)]

__Reinforcement learning for relation classification from noisy data__. AAAI 2018. _Feng, Jun and Huang, Minlie and Zhao, Li and Yang, Yang and Zhu, Xiaoyan_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/viewFile/17151/16140)]