## Knowledge-aware Applications
### Natural Language Understanding
__Combining Axiom Injection and Knowledge Base Completion for Efficient Natural Language Inference__. AAAI 2019.
_Yoshikawa et al._ [[Paper](https://www.aaai.org/ojs/index.php/AAAI/article/view/4730/4608)] [[Code](https://github.com/masashi-y/abduction_kbc)]

__Deep Short Text Classification with Knowledge Powered Attention__. AAAI 2019.
_Chen et al._ [[Paper](https://arxiv.org/abs/1902.08050)]

__A neural knowledge language model__. 2016. _Ahn, Sungjin and Choi, Heeyoul and Pärnamaa, Tanel and Bengio, Yoshua_. [[Paper](https://arxiv.org/pdf/1608.00318)] [[Dataset](https://bitbucket.org/skaasj/wikifact_filmactor)]

__ERNIE: Enhanced Language Representation with Informative Entities__. ACL 2019. _Zhang, Zhengyan and Han, Xu and Liu, Zhiyuan and Jiang, Xin and Sun, Maosong and Liu, Qun_. [[Paper](https://arxiv.org/pdf/1905.07129)] [[Code](https://github.com/thunlp/ERNIE)]

__Targeted Aspect-Based Sentiment Analysis via Embedding Commonsense Knowledge into an Attentive LSTM__. AAAI 2018. _Yukun Ma, Haiyun Peng, Erik Cambria_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/view/16541/16152)]


__Combining Knowledge with Deep Convolutional Neural Networks for Short Text Classification__. IJCAI 2017. _Wang, Jin and Wang, Zhongyuan and Zhang, Dawei and Yan, Jun_. [[Paper](http://yellowstone.cs.ucla.edu/~jinwang/jinwang_files/ijcai2017.pdf)]


### Commonsense Knowledge
__Story Ending Generation with Incremental Encoding and Commonsense Knowledge__. AAAI 2019.
_Jian Guan, Yansen Wang, Minlie Huang_. [[Paper](https://arxiv.org/abs/1808.10113)]

__Incorporating Commonsense Knowledge for Story Completion__. AAAI 2019.
_Chen et al._. [[Paper](https://arxiv.org/abs/1811.00625)]

__Simulation-Based Approach to Efficient Commonsense Reasoning in Very Large Knowledge Bases__. AAAI 2019.
_Sharma et al._ [[Paper](https://www.aaai.org/ojs/index.php/AAAI/article/view/3936)]


### Question Answering
__Learning to Retrieve Reasoning Paths over Wikipedia Graph for Question Answering__
ICLR 2020. _Asai et al._ [[Paper](https://openreview.net/forum?id=SJgVHkrYDH)] [[Code](https://github.com/AkariAsai/learning_to_retrieve_reasoning_paths)]

__Complex Factoid Question Answering with a Free-Text Knowledge Graph__
WWW 2020. _Zhao et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380197)]

__Declarative Question Answering over Knowledge Bases containing Natural Language Text with Answer Set Programming__. AAAI 2019.
_Mitra et al._ [[Paper](https://arxiv.org/abs/1905.00198)]

__Multi-Task Learning with Multi-View Attention for Answer Selection and Knowledge Base Question Answering__. AAAI 2019.
_Deng et al._ [[Paper](https://arxiv.org/abs/1812.02354)]

__An Interpretable Reasoning Network for Multi-Relation Question Answering__. COLING 2018. _Zhou, Mantong and Huang, Minlie and Zhu, Xiaoyan_. [[Paper](https://arxiv.org/abs/1801.04726)]

__Dialog-to-Action: Conversational Question Answering Over a Large-Scale Knowledge Base__. NIPS 2018. _Daya Guo, Duyu Tang, Nan Duan, Ming Zhou, Jian Yin_. [[Paper](http://papers.nips.cc/paper/7558-dialog-to-action-conversational-question-answering-over-a-large-scale-knowledge-base)] [[Code](https://github.com/guoday/Dialog-to-Action)]

__Commonsense for Generative Multi-hop Question Answering Tasks__. EMNLP 2018. _Bauer, Lisa, Yicheng Wang, and Mohit Bansal._ [[Paper](https://arxiv.org/pdf/1809.06309.pdf)] [[Code](https://github.com/yicheng-w/CommonSenseMultiHopQA)] [[Note](./notes/QA/multi-hop.md)]  

__Complex Sequential Question Answering: Towards Learning to Converse Over Linked Question Answer Pairs with a Knowledge Graph__. AAAI 2018. _Amrita Saha, Vardaan Pahuja, Mitesh M. Khapra, Karthik Sankaranarayanan, Sarath Chandar_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/view/17181/15750)]

__EARL: Joint Entity and Relation Linking for Question Answering over Knowledge Graphs__. ISWC 2018. _Dubey, Mohnish, Debayan Banerjee, Debanjan Chaudhuri, and Jens Lehmann._ [[Paper](https://arxiv.org/pdf/1801.03825.pdf)] [[Code](https://github.com/AskNowQA/EARL)] [[Note](./notes/QA/EARL.md)]  

__Pattern-revising Enhanced Simple Question Answering over Knowledge Bases__. COLING 2018. _Hao, Yanchao, Hao Liu, Shizhu He, Kang Liu, and Jun Zhao._ [[Paper](http://www.aclweb.org/anthology/C18-1277)] [[Note](./notes/QA/pattern-revising.md)]  

__Strong Baselines for Simple Question Answering over Knowledge Graphs with and without Neural Networks__. NAACL 2018. _Mohammed, Salman, Peng Shi, and Jimmy Lin._ [[Paper](https://arxiv.org/pdf/1712.01969.pdf)] [[Code](http://buboqa.io/)]  [[Note](./notes/QA/strong-baselines.md)]    

__Transliteration Better than Translation? Answering Code-mixed Questions over a Knowledge Base__. ACL 2018. _Gupta, Vishal, Manoj Chinnakotla, and Manish Shrivastava._ [[Paper](http://www.aclweb.org/anthology/W18-3205)] [[Note](./notes/QA/code-mixed.md)]  

__TEQUILA: Temporal Question Answering over Knowledge Bases__. CIKM 2018. _Zhen Jia, Abdalghani Abujabal, Rishiraj Saha Roy, Jannik Strötgen, Gerhard Weikum_. [[Paper](https://dl.acm.org/citation.cfm?id=3269247&dl=ACM&coll=DL)]

__Question answering over knowledge base with neural attention combining global knowledge information__. 2016. _Zhang et al._. [[Paper](https://arxiv.org/pdf/1606.00979)]

__CFO: Conditional Focused Neural Question Answering with Large-scale Knowledge Bases__. ACL 2016. _Dai et al._. [[Paper](https://www.aclweb.org/anthology/P16-1076)]

__Efficiently answering technical questions—a knowledge graph approach__. AAAI 2017. _Yang et al._. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI17/paper/viewPDFInterstitial/14576/14085)]

__An end-to-end model for question answering over knowledge base with cross-attention combining global knowledge__. ACL 2017. _Hao et al._. [[Paper](https://www.aclweb.org/anthology/P17-1021)]

__Generating natural answers by incorporating copying and retrieving mechanisms in sequence-to-sequence learning__. ACL 2017. _He et al._. [[Paper](https://www.aclweb.org/anthology/P17-1019)]

__Neural Generative Question Answering__. IJCAI 2016. _Yin, Jun and Jiang, Xin and Lu, Zhengdong and Shang, Lifeng and Li, Hang and Li, Xiaoming_. [[Paper](https://arxiv.org/pdf/1512.01337)] [[Dataset](http://github.com/jxfeb/Generative_QA)]

### Dialogue Systems  
__Commonsense Knowledge Aware Conversation Generation with Graph Attention__. IJCAI 2018. _Zhou, Hao, Tom Young, Minlie Huang, Haizhou Zhao, Jingfang Xu, and Xiaoyan Zhu._ [[Paper](https://www.ijcai.org/proceedings/2018/0643.pdf)] [[Code](https://github.com/tuxchow/ccm)] [[Note](./notes/conversation/commonsense.md)]   

__Improving Response Selection in Multi-Turn Dialogue Systems by Incorporating Domain Knowledge__. CoNLL 2018. _Chaudhuri, Debanjan and Kristiadi, Agustinus and Lehmann, Jens and Fischer, Asja_. [[Paper](https://www.aclweb.org/anthology/K18-1048)]


__Incorporating loose-structured knowledge into conversation modeling via recall-gate LSTM__. IJCNN 2017. _Xu, Zhen and Liu, Bingquan and Wang, Baoxun and Sun, Chengjie and Wang, Xiaolong_. [[Paper](https://ieeexplore.ieee.org/iel7/7958416/7965814/07966297.pdf)]

__Lstm-based mixture-of-experts for knowledge-aware dialogues__. ACL 2016 Workshop. _Le, Phong and Dymetman, Marc and Renders, Jean-Michel_. [[Paper](https://arxiv.org/pdf/1605.01652.pdf)]

__Flexible end-to-end dialogue system for knowledge grounded conversation__. 2017. _Zhu, Wenya and Mo, Kaixiang and Zhang, Yu and Zhu, Zhangbin and Peng, Xuezheng and Yang, Qiang_. [[Paper](https://arxiv.org/pdf/1709.04264)]

### Recommendation Systems
__Reinforced Negative Sampling over Knowledge Graph for Recommendation__.
WWW 2020. _Wang et al._ [[Paper](https://arxiv.org/abs/2003.05753)]

__Towards Knowledge-Based Recommender Dialog System__.
EMNLP-IJCNLP 2019. _Qibin Chen, Junyang Lin, Yichang Zhang, Ming Ding, Yukuo Cen, Hongxia Yang, Jie Tang_. [[Paper](https://arxiv.org/abs/1908.05391)]

__Reinforced Negative Sampling over Knowledge Graph for Recommendation__
WWW 2020. _Wang et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380098)]

__KGAT: Knowledge Graph Attention Network for Recommendation__. KDD 2019. _Xiang Wang, Xiangnan He, Yixin Cao, Meng Liu and Tat-Seng Chua_. [[Paper](https://arxiv.org/pdf/1905.07854)] [[Code](https://github.com/xiangwang1223/knowledge_graph_attention_network)]

__Multi-Task Feature Learning for Knowledge Graph Enhanced Recommendation__. WWW 2019. _Wang, Hongwei, Fuzheng Zhang, Miao Zhao, Wenjie Li, Xing Xie, and Minyi Guo_. [[Paper](https://arxiv.org/pdf/1901.08907.pdf)] [[Code](https://github.com/hwwang55/MKR)]

__Unifying Knowledge Graph Learning and Recommendation: Towards a Better Understanding of User Preference__. WWW 2019. _Yixin Cao, Xiang Wang, Xiangnan He, Zikun Hu, Tat-Seng Chua_.
[[Paper](https://www.comp.nus.edu.sg/~xiangnan/papers/www19-KGRec.pdf)] [[Code](https://github.com/TaoMiner/joint-kg-recommender)]

__Explianable Reasoning over Knowledge Graphs for Recommendation__. AAAI 2019. _Wang, Xiang and Wang, Dingxian and Xu, Canran and He, Xiangnan and Cao, Yixin and Chua, Tat-Seng_. [[Paper](https://arxiv.org/abs/1811.04540)] [[Code](https://github.com/eBay/KPRN)]  

__Exploring High-Order User Preference on the Knowledge Graph for Recommender Systems__. TOIS 2019. _Hongwei Wang, Fuzheng Zhang, Jialin Wang, Miao Zhao, Wenjie Li, Xing Xie, and Minyi Guo_. [[Paper](https://dl.acm.org/citation.cfm?id=3312738)]

__RippleNet: Propagating User Preferences on the Knowledge Graph for Recommender Systems__. CIKM 2018. _Hongwei Wang, Fuzheng Zhang, Jialin Wang, Miao Zhao, Wenjie Li, Xing Xie, and Minyi Guo_. [[Paper](https://dl.acm.org/citation.cfm?id=3271739)]

__Collaborative knowledge base embedding for recommender systems__. SIGKDD 2016. _Zhang, Fuzheng and Yuan, Nicholas Jing and Lian, Defu and Xie, Xing and Ma, Wei-Ying_. [[Paper](https://www.kdd.org/kdd2016/papers/files/adf0066-zhangA.pdf)]

__Top-n recommendations from implicit feedback leveraging linked open data__. RecSys 2013. _Ostuni, Vito Claudio and Di Noia, Tommaso and Di Sciascio, Eugenio and Mirizzi, Roberto_. [[Paper](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.649.3358&rep=rep1&type=pdf)]

__dbrec—music recommendations using DBpedia__. ISWC 2010. _Passant, Alexandre_. [[Paper](https://link.springer.com/content/pdf/10.1007/978-3-642-17749-1_14.pdf)]

__Collaborative knowledge base embedding for recommender systems__. KDD 2016. _Zhang, Fuzheng and Yuan, Nicholas Jing and Lian, Defu and Xie, Xing and Ma, Wei-Ying_. [[Paper](https://www.kdd.org/kdd2016/papers/files/adf0066-zhangA.pdf)]

### Information Retrieval
__Keyword Search over Knowledge Graphs via Static and Dynamic Hub Labelings__
WWW 2020. _Shi et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380110)]

__Event Representation Learning Enhanced with External Commonsense Knowledge__
EMNLP 2019. _Ding et al._ [[Paper](https://arxiv.org/pdf/1909.05190.pdf)]

__Extracting Entities and Events as a Single Task Using a Transition-Based Neural Model__
IJCAI 2019. _Junchi Zhang, Yanxia Qin, Yue Zhang, Mengchi Liu, Donghong Ji_. [[Paper](https://www.ijcai.org/Proceedings/2019/0753.pdf)]

__Retrieving Textual Evidence for Knowledge Graph Facts__. ESWC 2019. _Gonenc Ercan, Shady Elbassuoni, and Katja Hose_. [[Paper](http://qweb.cs.aau.dk/factify/files/ESWC2019.pdf)]  

__Fine-grained Event Categorization with Heterogeneous Graph Convolutional Networks__. IJCAI 2019. _H. Peng, J. Li, Q. Gong, Y. Song, Y. Ning, K. Lai, and P.S. Yu_. [[Paper](https://www.ijcai.org/Proceedings/2019/0449.pdf)]

__Towards better text understanding and retrieval through kernel entity salience modeling__
SIGIR 2018. _Xiong et al._ [[Paper](https://arxiv.org/abs/1805.01334)]

__Entity-duet neural ranking: understanding the role of knowledge graph semantics in neural information retrieval__
ACL 2018. _Liu et al._ [[Paper](https://www.aclweb.org/anthology/P18-1223)] [[Code](https://github.com/thunlp/EntityDuetNeuralRanking)]

__TransNet: Translation-Based Network Representation Learning for Social Relation Extraction__. IJCAI 2017. _Tu, Cunchao and Zhang, Zhengyan and Liu, Zhiyuan and Sun, Maosong_. [[Paper](http://nlp.csai.tsinghua.edu.cn/~lzy/publications/ijcai2017_transnet.pdf)]

__Explicit semantic ranking for academic search via knowledge graph embedding__
WWW 2017. _Xiong et al._ [[Paper](http://www.cs.cmu.edu/~cx/papers/Explicit_Semantic_Ranking.pdf)]

__Word-entity duet representations for document ranking__
SIGIR 2017. _Xiong et al._ [[Paper](https://arxiv.org/abs/1706.06636)]

__JointSem: combining query entity linking and entity based document ranking__ 
CIKM 2017. _Xiong et al._ [[Paper](http://www.cs.cmu.edu/~cx/papers/JointSem.pdf)]

__Explicit semantic ranking for academic search via knowledge graph embedding__. WWW 2017. _Xiong et al._ [[Paper](http://www.cs.cmu.edu/~cx/papers/Explicit_Semantic_Ranking.pdf)]

__Joint event extraction via recurrent neural networks__. NAACL 2016. _Nguyen, Thien Huu and Cho, Kyunghyun and Grishman, Ralph_. [[Paper](https://www.aclweb.org/anthology/N16-1034)]

### Healthcare

__Real-world data medical knowledge graph: construction and applications__.
AI for Medicine 2020. _Li et al._. [[Paper](https://www.sciencedirect.com/science/article/pii/S0933365719309546)]

__Phenotypical Ontology Driven Framework for Multi-Task Learning__.
NeurIPS 2019 KR2ML Workshop. _Ghalwash et al._. 
[[Paper](https://kr2ml.github.io/2019/papers/KR2ML_2019_paper_54.pdf)]

__Constructing biomedical domain-specific knowledge graph with minimum supervision__ KAIS 2019. _Yuan, Jianbo and Jin, Zhiwei and Guo, Han and Jin, Hongxia and Zhang, Xianchao and Smith, Tristram and Luo, Jiebo_. [[Paper](https://link.springer.com/article/10.1007/s10115-019-01351-4)]

__Knowledge-driven Encode, Retrieve, Paraphrase for Medical Image Report Generation__. AAAI 2019. _Li, Christy Y and Liang, Xiaodan and Hu, Zhiting and Xing, Eric P_. [[Paper](https://www.aaai.org/Papers/AAAI/2019/AAAI-LiChristy.629.pdf)]

__On the Generative Discovery of Structured Medical Knowledge__. KDD 2018. _C. Zhang, Y. Li, N. Du, W. Fan, and P.S. Yu_ [[Paper](https://dl.acm.org/doi/abs/10.1145/3219819.3220010)]

__Knowledge-aware Assessment of Severity of Suicide Risk for Early Intervention__. WWW 2019. _Gaur, Manas, Amanuel Alambo, Joy Prakash Sain, Ugur Kursuncu, Krishnaprasad Thirunarayan, Ramakanth Kavuluru, Amit Sheth, Randon S. Welton, and Jyotishman Pathak._ [[Paper](http://knoesis.org/sites/default/files/Suicide_Paper.pdf)]


### Software Engineering

__HDSKG: harvesting domain specific knowledge graph from content of webpages__. SANER 2017. _Zhao, Xuejiao and Xing, Zhenchang and Kabir, Muhammad Ashad and Sawada, Naoya and Li, Jing and Lin, Shang-Wei_. [[Paper](https://dr.ntu.edu.sg/bitstream/handle/10220/42426/Finalmain.pdf?sequence=1&isAllowed=y)]

__Improving API Caveats Accessibility by Mining API Caveats Knowledge Graph__. CSME 2018. _Li, Hongwei and Li, Sirui and Sun, Jiamou and Xing, Zhenchang and Peng, Xin and Liu, Mingwei and Zhao, Xuejiao_. [[Paper](https://ieeexplore.ieee.org/stamp/stamp.jsp?arnumber=8530028)]

__DeepWeak: reasoning common software weaknesses via knowledge graph embedding__. SANER 2018. _Han, Zhuobing and Li, Xiaohong and Liu, Hongtao and Xing, Zhenchang and Feng, Zhiyong_. [[Paper](https://ieeexplore.ieee.org/abstract/document/8330232)]

__The structure and dynamics of knowledge network in domain-specific Q&A sites: a case study of stack overflow__. Empirical Software Engineering 2017. _Ye, Deheng and Xing, Zhenchang and Kapre, Nachiket_ [[Paper](https://link.springer.com/article/10.1007/s10664-016-9430-z)]

__Predicting semantically linkable knowledge in developer online forums via convolutional neural network__. ICASE 2016. _Xu, Bowen and Ye, Deheng and Xing, Zhenchang and Xia, Xin and Chen, Guibin and Li, Shanping_. [[Paper](https://ieeexplore.ieee.org/iel7/7579013/7582735/07582745.pdf)]

__Mining Analogical Libraries in Q&A Discussions — Incorporating Relational and Categorical Knowledge into Word Embedding__. SANER 2016. _Chunyang Chen, Sa Gao, and Zhenchang Xing_. [[Paper](https://chunyang-chen.github.io/publication/analogical_libraries.pdf)]

__TechLand: Assisting technology landscape inquiries with insights from stack overflow__. ICSME 2016. _Chen, Chunyang and Xing, Zhenchang and Han, Lei_. [[Paper](http://ccywch.github.io/chenchunyang.github.io/publication/techLand.pdf)]

### Computer Vision
__The More You Know: Using Knowledge Graphs for Image Classification__. CVPR 2017. _Marino, Kenneth and Salakhutdinov, Ruslan and Gupta, Abhinav_. [[Paper](https://arxiv.org/pdf/1612.04844)]

__I Know the Relationships: Zero-Shot Action Recognition via Two-Stream Graph Convolutional Networks and Knowledge Graphs__. AAAI 2019.
_Gao et al._ [[Paper](https://aaai.org/ojs/index.php/AAAI/article/view/4843/4716)] [[Code](https://github.com/junyuGao/Zero-Shot-Action-Recognition-with-Two-Stream-GCN)]

__WK-VQA: World Knowledge-enabled Visual Question Answering__
_Shah et al._ [[Paper](https://www.aaai.org/ojs/index.php/AAAI/article/view/4915/4788)]


### Other Applications

__Jointly Modeling Inter-Slot Relations by Random Walk on Knowledge Graphs for Unsupervised Spoken Language Understanding__. NAACL-HLT 2015. _Yun-Nung Chen, William Yang Wang, Alex Rudnicky_. [[Paper](http://www.cs.ucsb.edu/~william/papers/NAACL15_InterSlotRelation.pdf)]

__Hybrid Knowledge Routed Modules for Large-scale Object Detection__. NIPS 2018. _Chenhan Jiang, Hang Xu, Xiaodan Liang, and Liang Lin_. [[Paper](http://papers.nips.cc/paper/7428-hybrid-knowledge-routed-modules-for-large-scale-object-detection)] [[Code](https://github.com/chanyn/HKRM)]

__Knowledge questions from knowledge graphs__. SIGIR 2016. _Seyler, Dominic and Yahya, Mohamed and Berberich, Klaus_. [[Paper](https://arxiv.org/pdf/1610.09935)]

__One for All: Neural Joint Modeling of Entities and Events__. AAAI 2019. _Nguyen, Trung Minh and Nguyen, Thien Huu_. [[Paper](https://arxiv.org/pdf/1812.00195)]

__Linking named entities in tweets with knowledge base via user interest modeling__. KDD 2013. _Shen, Wei and Wang, Jianyong and Luo, Ping and Wang, Min_. [[Paper](http://chbrown.github.io/kdd-2013-usb/kdd/p68.pdf)]

__Knowledge Aware Conversation Generation with Reasoning on Augmented Graph__. 2019. _Zhibin Liu, Zheng-Yu Niu, Hua Wu, Haifeng Wang_. [[Paper](https://arxiv.org/pdf/1903.10245.pdf)]