## Cross-Modal KG Embedding

### Textual Description
__Knowledge graph and text jointly embedding__. EMNLP 2015. _Wang, Zhen and Zhang, Jianwen and Feng, Jianlin and Chen, Zheng_. [[Paper](https://www.aclweb.org/anthology/D14-1167)]

__Aligning knowledge and text embeddings by entity descriptions__. EMNLP 2015. _Zhong, Huaping and Zhang, Jianwen and Wang, Zhen and Wan, Hai and Chen, Zheng_. [[Paper](https://www.aclweb.org/anthology/D15-1031)]

__Joint semantic relevance learning with text data and graph knowledge__. ACL-IJCNLP Workshop 2015. _Zhang, Dongxu and Yuan, Bin and Wang, Dong and Liu, Rong_. [[Paper](https://www.aclweb.org/anthology/W15-4004)]

__SSP: semantic space projection for knowledge graph embedding with text descriptions__. AAAI 2017. _Xiao, Han and Huang, Minlie and Meng, Lian and Zhu, Xiaoyan_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI17/paper/viewPDFInterstitial/14306/14084)]

__Representation learning of knowledge graphs with entity descriptions__. AAAI 2016. _Xie, Ruobing and Liu, Zhiyuan and Jia, Jia and Luan, Huanbo and Sun, Maosong_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI16/paper/download/12216/12004)] [[Code](https://github.com/xrb92/DKRL)]

__Distributed representation learning for knowledge graphs with entity descriptions__. PRL 2017. _Fan, Miao and Zhou, Qiang and Zheng, Thomas Fang and Grishman, Ralph_. [[Paper](https://www.sciencedirect.com/science/article/pii/S0167865516302380)]

__Text-enhanced representation learning for knowledge graph__. IJCAI 2016. _Wang, Zhigang and Li, Juan-Zi_. [[Paper](https://www.ijcai.org/Proceedings/16/Papers/187.pdf)]

__Knowledge Representation Learning with Entities, Attributes and Relations__. IJCAI 2016. [[Paper](http://nlp.csai.tsinghua.edu.cn/~lyk/publications/ijcai2016_krear.pdf)] [[Code](https://github.com/thunlp/KR-EAR)]


### Type Information
__Type-constrained representation learning in knowledge graphs__. ISWC 2015. _Krompass, Denis and Baier, Stephan and Tresp, Volker_. [[Paper](https://arxiv.org/pdf/1508.02593)]

__Typed tensor decomposition of knowledge bases for relation extraction__. EMNLP 2014. _Chang, Kai-Wei and Yih, Wen-tau and Yang, Bishan and Meek, Christopher_. [[Paper](https://www.aclweb.org/anthology/D14-1165)]

__Semantically smooth knowledge graph embedding__. ACL 2015. _Guo, Shu and Wang, Quan and Wang, Bin and Wang, Lihong and Guo, Li_. [[Paper](https://www.aclweb.org/anthology/P15-1009)]

__Entity hierarchy embedding__. ACL 2015. _Hu, Zhiting and Huang, Poyao and Deng, Yuntian and Gao, Yingkai and Xing, Eric_. [[Paper](https://www.aclweb.org/anthology/P15-1125)]

__Representation Learning of Knowledge Graphs with Hierarchical Types__. IJCAI 2016. _Xie, Ruobing and Liu, Zhiyuan and Sun, Maosong_. [[Paper](http://nlp.csai.tsinghua.edu.cn/~xrb/publications/IJCAI-16_type.pdf)]

__Knowledge graph embedding with hierarchical relation structure__. EMNLP 2018. _Zhang, Zhao and Zhuang, Fuzhen and Qu, Meng and Lin, Fen and He, Qing_. [[Paper](https://www.aclweb.org/anthology/D18-1358)]

### Logic Rules
__AMIE: association rule mining under incomplete evidence in ontological knowledge bases__. WWW 2013. _Galárraga, Luis Antonio and Teflioudi, Christina and Hose, Katja and Suchanek, Fabian_. [[Paper](http://luisgalarraga.de/docs/amie.pdf))]

__Knowledge graph identification__. ISWC 2013. _Pujara, Jay and Miao, Hui and Getoor, Lise and Cohen, William_. [[Paper](https://link.springer.com/content/pdf/10.1007/978-3-642-41335-3_34.pdf)]

__Knowledge base completion using embeddings and rules__. IJCAI 2015. _Wang, Quan and Wang, Bin and Guo, Li_. [[Paper](https://www.aaai.org/ocs/index.php/IJCAI/IJCAI15/paper/download/10798/10921)]

__Injecting logical background knowledge into embeddings for relation extraction__. NAACL 2015. _Rocktäschel, Tim and Singh, Sameer and Riedel, Sebastian_. [[Paper](https://www.aclweb.org/anthology/N15-1118)]

__Low-Dimensional Embeddings of Logic__. ACL 2014. _Rocktäschel, Tim and Bošnjak, Matko and Singh, Sameer and Riedel, Sebastian_. [[Paper](https://www.aclweb.org/anthology/W14-2409)]

__Learning first-order logic embeddings via matrix factorization__. IJCAI 2016. _Wang, William Yang and Cohen, William W_. [[Paper](http://www.cs.cmu.edu/~yww/papers/ijcai2016.pdf)]

__Jointly embedding knowledge graphs and logical rules__. EMNLP 2016. _Guo, Shu and Wang, Quan and Wang, Lihong and Wang, Bin and Guo, Li_. [[Paper](https://www.aclweb.org/anthology/D16-1019)]

__Knowledge Graph Embedding with Iterative Guidance from Soft Rules__. AAAI 2018. _Guo, Shu and Wang, Quan and Wang, Lihong and Wang, Bin and Guo, Li_.
[[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/download/16369/16011)] [[Code](https://github.com/iieir-km/RUGE)]

__Lifted rule injection for relation embeddings__. EMNLP 2016. _Demeester, Thomas and Rocktäschel, T and Riedel, S_. [[Paper](https://www.aclweb.org/anthology/D16-1146)]

### Relational Path
__Random walk inference and learning in a large scale knowledge base__. EMNLP 2011. _Lao, Ni and Mitchell, Tom and Cohen, William W_. [[Paper](https://aclanthology.info/pdf/D/D11/D11-1049.pdf)]

__Relational retrieval using a combination of path-constrained random walks__. Machine Learning 2010. _Lao, Ni and Cohen, William W_. [[Paper](https://link.springer.com/content/pdf/10.1007/s10994-010-5205-8.pdf)]

__Modeling relation paths for representation learning of knowledge bases__. EMNLP 2015. _Lin, Yankai and Liu, Zhiyuan and Luan, Huanbo and Sun, Maosong and Rao, Siwei and Liu, Song_. [[Paper](https://arxiv.org/pdf/1506.00379.pdf)] [[Code](https://github.com/mrlyk423/relation_extraction)]

__Context-dependent knowledge graph embedding__. EMNLP 2015. _Luo, Yuanfei and Wang, Quan and Wang, Bin and Guo, Li_. [[Paper](https://www.aclweb.org/anthology/D15-1191)]

__Compositional learning of embeddings for relation paths in knowledge base and text__. ACL 2016. _Toutanova, Kristina and Lin, Victoria and Yih, Wen-tau and Poon, Hoifung and Quirk, Chris_. [[Paper](http://www.aclweb.org/anthology/P16-1136)]

__GAKE: graph aware knowledge embedding__. COLING 2016. _Feng, Jun and Huang, Minlie and Yang, Yang and Zhu, Xiaoyan_. [[Paper](http://www.aclweb.org/anthology/C16-1062)]

__Traversing Knowledge Graphs in Vector Space__. EMNLP 2015. _Guu, Kelvin and Miller, John and Liang, Percy_. [[Paper](https://arxiv.org/pdf/1506.01094)]


### Visual Information
__Image-embodied knowledge representation learning__. IJCAI 2017. _Xie, Ruobing and Liu, Zhiyuan and Luan, Huanbo and Sun, Maosong_. [[Paper](https://www.ijcai.org/proceedings/2017/0438.pdf)]

__Answering Visual-Relational Queries in Web-Extracted Knowledge Graphs__.
Automated Knowledge Base Construction 2019. _Oñoro-Rubio et al._ [[Paper](https://arxiv.org/pdf/1709.02314.pdf)]