## Knowledge Graph Embedding
__Learning Hierarchy-Aware Knowledge Graph Embeddings for Link Prediction__ 
AAAI 2020. _Zhang et al._ [[Paper](https://arxiv.org/pdf/1911.09419.pdf)]

__On understanding knowledge graph representation learning__.
_Carl Allen, Ivana Balažević, Timothy M. Hospedales_. [[Paper](https://arxiv.org/pdf/1909.11611.pdf)]

__Relation Embedding with Dihedral Group in Knowledge Graph__. ACL 2019. _Xu, Canran and Li, Ruijiang_. [[Paper](https://arxiv.org/pdf/1906.00687)]

__RotatE: Knowledge Graph Embedding by Relational Rotation in Complex Space__. ICLR 2019. _Zhiqing Sun and Zhi-Hong Deng and Jian-Yun Nie and Jian Tang_. [[Paper](https://arxiv.org/pdf/1902.10197)] [[Code](https://github.com/DeepGraphLearning/KnowledgeGraphEmbedding)]

__Logic Attention Based Neighborhood Aggregation for Inductive Knowledge Graph Embedding__. AAAI 2019. _Wang, Peifeng and Han, Jialong and Li, Chenliang and Pan, Rong_. [[Paper](https://www.aaai.org/Papers/AAAI/2019/AAAI-WangPeifeng.2685.pdf)]

__Embedding Uncertain Knowledge Graphs__. AAAI 2019.
_Chen et al._ [[Paper](https://arxiv.org/abs/1811.10667)]

__TransGate: Knowledge Graph Embedding with Shared Gate Structure__. AAAI 2019.
_Yuan et al._ [[Paper](https://aaai.org/ojs/index.php/AAAI/article/view/4169/4047)]

__Improved Knowledge Graph Embedding using Background Taxonomic Information__. AAAI 2019.
_Fatemi et al._ [[Paper](https://www.aaai.org/ojs/index.php/AAAI/article/view/4231/4109)]

__Validation of Growing Knowledge Graphs by Abductive Text Evidences__. AAAI 2019.
_Du et al._ [[Paper](https://aaai.org/ojs/index.php/AAAI/article/view/4130/4008)]


__Variational Quantum Circuit Model for Knowledge Graph Embedding__. Advanced Quantum Technologies 2019. _Yunpu Ma, Volker Tresp, Liming Zhao, and Yuyi Wang_. [[Paper](https://onlinelibrary.wiley.com/doi/epdf/10.1002/qute.201800078)]

__Interaction Embeddings for Prediction and Explanation in Knowledge Graphs__. WSDM 2019. _Wen Zhang, Bibek Paudel, Wei Zhang, Abraham Bernstein, Huajun Chen_. [[Paper](https://www.zora.uzh.ch/id/eprint/162876/1/interaction-embeddings-prediction_merlin_version.pdf)]

__Does William Shakespeare Really Write Hamlet? Knowledge Representation Learning with Confidence__. AAAI 2018. _Ruobing Xie, Zhiyuan Liu, Fen Lin, and Leyu Lin_. [[Paper](https://arxiv.org/pdf/1705.03202.pdf)] [[Code](https://github.com/thunlp/CKRL)]

__TorusE: Knowledge graph embedding on a lie group__. AAAI 2018. _Ebisu, Takuma and Ichise, Ryutaro_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/viewPDFInterstitial/16227/15885)]

__Convolutional 2d knowledge graph embeddings__. AAAI 2018. _Dettmers, Tim and Minervini, Pasquale and Stenetorp, Pontus and Riedel, Sebastian_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/download/17366/15884)]

__Towards Understanding the Geometry of Knowledge Graph Embedding__. ACL 2018. _Chandrahas, Aditya Sharma and Partha Talukdar_. [[Paper](http://www.aclweb.org/anthology/P18-1012)] [[Code](https://github.com/malllabiisc/kg-geometry)] [[Note](./notes/embedding/kg-geometry.md)]   

__Co-training Embedding of Knowledge Graphs and Entity Descriptions for Cross-lingual Entity Alignment__. IJCAI 2018, _Chen, Muhao, Yingtao Tian, Kai-Wei Chang, Steven Skiena, and Carlo Zaniolo_. [[Paper](https://arxiv.org/pdf/1806.06478.pdf)] [[Note](./notes/embedding/co-training.md)]   

__Scalable Rule Learning via Learning Representation__. IJCAI 2018. _Omran, Pouya Ghiasnezhad, Kewen Wang, and Zhe Wang._ [[Paper](https://www.ijcai.org/proceedings/2018/0297.pdf)] [[Note](./notes/embedding/rule-learning.md)]  

__KBGAN: Adversarial Learning for Knowledge Graph Embeddings__. NAACL 2018. _Cai, Liwei, and William Yang Wang_. [[Paper](https://arxiv.org/pdf/1711.04071.pdf)] [[Code](https://github.com/cai-lw/KBGAN)] [[Note](./notes/embedding/KBGAN.md)]  

__Embedding Logical Queries on Knowledge Graphs__. NIPS 2018. _William L. Hamilton, Payal Bajaj, Marinka Zitnik, Dan Jurafsky, and Jure Leskovec_. [[Paper](http://papers.nips.cc/paper/7473-embedding-logical-queries-on-knowledge-graphs.pdf)] [[Code](https://github.com/williamleif/graphqembed)]

__SimpIE Embedding for Link Prediction in Knowledge Graphs__. NIPS 2018. _Seyed Mehran Kazemi, David Poole_. [[Paper](http://papers.nips.cc/paper/7682-simple-embedding-for-link-prediction-in-knowledge-graphs)] [[Code](https://github.com/Mehran-k/SimplE)]

__Differentiating Concepts and Instances for Knowledge Graph Embedding__. EMNLP 2018. _Xin Lv, Lei Hou, Juanzi Li, Zhiyuan Liu_. [[Paper](http://aclweb.org/anthology/D18-1222)] [[Code](http://github.com/davidlvxin/TransC)]

__Analogical inference for multi-relational embeddings__. ICML 2017. _Liu, Hanxiao and Wu, Yuexin and Yang, Yiming_. [[Paper](https://arxiv.org/pdf/1705.02426.pdf)] [[Code](https://github.com/quark0/ANALOGY)]

__Poincaré embeddings for learning hierarchical representations__. NIPS 2017. _Nickel, Maximillian and Kiela_.[[Paper](https://papers.nips.cc/paper/7213-poincare-embeddings-for-learning-hierarchical-representations.pdf)] [[Code](https://github.com/facebookresearch/poincare-embeddings)]

__On the equivalence of holographic and complex embeddings for link prediction__. ACL 2017. _Hayashi, Katsuhiko and Shimbo, Masashi_. [[Paper](https://arxiv.org/pdf/1702.05563.pdf)]

__Modeling relational data with graph convolutional networks__. European Semantic Web Conference 2017. _Schlichtkrull, Michael and Kipf, Thomas N and Bloem, Peter and Van Den Berg, Rianne and Titov, Ivan and Welling, Max_. [[Paper](https://arxiv.org/pdf/1903.02188)]

__Holographic embeddings of knowledge graphs__. AAAI 2016. _Nickel, Maximilian and Rosasco, Lorenzo and Poggio, Tomaso_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI16/paper/viewFile/12484/11828)]

__Complex embeddings for simple link prediction__. ICML 2016. _Trouillon, Théo and Welbl, Johannes and Riedel, Sebastian and Gaussier, Éric and Bouchard, Guillaume_. [[Paper](http://proceedings.mlr.press/v48/trouillon16.pdf)] [[Code](https://github.com/ttrouill/complex)]

__Embedding entities and relations for learning and inference in knowledge bases__. ICLR 2015. _Yang, Bishan and Yih, Wen-tau and He, Xiaodong and Gao, Jianfeng and Deng, Li_. [[Paper](https://arxiv.org/pdf/1412.6575.pdf)]

__Effective blending of two and three-way interactions for modeling multi-relational data__. ECML-KDD 2014. _García-Durán, Alberto and Bordes, Antoine and Usunier, Nicolas_. [[Paper](https://link.springer.com/chapter/10.1007/978-3-662-44848-9_28)]

__Relation extraction with matrix factorization and universal schemas__. NAACL 2013. _Riedel, Sebastian and Yao, Limin and McCallum, Andrew and Marlin, Benjamin M_. [[Paper](http://www.aclweb.org/anthology/N13-1008)]

__A latent factor model for highly multi-relational data__. NIPS 2012. _Jenatton, Rodolphe and Roux, Nicolas L and Bordes, Antoine and Obozinski, Guillaume R_. [[Paper](https://papers.nips.cc/paper/4744-a-latent-factor-model-for-highly-multi-relational-data.pdf)]

__Factorizing YAGO: scalable machine learning for linked data__. ICML 2012. _Nickel, Maximilian and Tresp, Volker and Kriegel, Hans-Peter_. [[Paper](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.383.2015&rep=rep1&type=pdf)]

__A Three-Way Model for Collective Learning on Multi-Relational Data__. ICML 2011. _Nickel, Maximilian and Tresp, Volker and Kriegel, Hans-Peter_. [[Paper](http://www.dbs.ifi.lmu.de/~tresp/papers/p271.pdf)]

__Modelling relational data using bayesian clustered tensor factorization__. NIPS 2009. _Sutskever, Ilya and Tenenbaum, Joshua B and Salakhutdinov, Ruslan R_. [[Paper](https://papers.nips.cc/paper/3863-modelling-relational-data-using-bayesian-clustered-tensor-factorization.pdf)]

__Translating embeddings for modeling multi-relational data__. NIPS 2013. _Bordes, Antoine and Usunier, Nicolas and Garcia-Duran, Alberto and Weston, Jason and Yakhnenko, Oksana_. [[Paper](http://papers.nips.cc/paper/5071-translating-embeddings-for-modeling-multi-relational-data.pdf)]

__Knowledge graph embedding by translating on hyperplanes__. AAAI 2014. _Wang, Zhen and Zhang, Jianwen and Feng, Jianlin and Chen, Zheng_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI14/paper/viewFile/8531/8546)]

__Learning entity and relation embeddings for knowledge graph completion__. AAAI 2015. _Lin, Yankai and Liu, Zhiyuan and Sun, Maosong and Liu, Yang and Zhu, Xuan_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI15/paper/viewFile/9571/9523)] [[Code](http://github.com/mrlyk423/relation)]

__STransE: a novel embedding model of entities and relationships in knowledge bases__. NAACL 2016. _Nguyen, Dat Quoc and Sirts, Kairit and Qu, Lizhen and Johnson, Mark_. [[Paper](https://arxiv.org/pdf/1606.08140.pdf)]

__Knowledge graph embedding via dynamic mapping matrix__. ACL 2015. _Ji, Guoliang and He, Shizhu and Xu, Liheng and Liu, Kang and Zhao, Jun_. [[Paper](http://www.aclweb.org/anthology/P15-1067)]

__A translation-based knowledge graph embedding preserving logical property of relations__. NAACL 2016. _Yoon, Hee-Geun and Song, Hyun-Je and Park, Seong-Bae and Park, Se-Young_. [[Paper](http://www.aclweb.org/anthology/N16-1105)]

__Knowledge graph completion with adaptive sparse transfer matrix__. AAAI 2016. _Ji, Guoliang and Liu, Kang and He, Shizhu and Zhao, Jun_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI16/paper/viewFile/11982/11693)]

__TransA: An adaptive approach for knowledge graph embedding__. AAAI 2015. _Xiao, Han and Huang, Minlie and Hao, Yu and Zhu, Xiaoyan_. [[Paper](https://arxiv.org/pdf/1509.05490.pdf)]

__Knowledge graph embedding by flexible translation__. KR 2016. _Feng, Jun and Huang, Minlie and Wang, Mingdong and Zhou, Mantong and Hao, Yu and Zhu, Xiaoyan_. [[Paper](https://www.aaai.org/ocs/index.php/KR/KR16/paper/viewFile/12887/12520)]

__Learning to represent knowledge graphs with gaussian embedding__. CIKM 2015. _He, Shizhu and Liu, Kang and Ji, Guoliang and Zhao, Jun_. [[Paper](http://ir.ia.ac.cn/bitstream/173211/20634/1/Learning%20to%20Represent%20Knowledge%20Graphs%20with%20Gaussian%20Embedding.pdf)]

__From one point to a manifold: Orbit models for knowledge graph embedding__. IJCAI 2016. _Xiao, Han and Huang, Minlie and Zhu, Xiaoyan_. [[Paper](https://www.ijcai.org/Proceedings/16/Papers/190.pdf)]

__Composing relationships with translations__. EMNLP 2015. _García-Durán, Alberto and Bordes, Antoine and Usunier, Nicolas_. [[Paper](http://www.aclweb.org/anthology/D15-1034)] [[Code](https://github.com/glorotxa/SME)]

__A semantic matching energy function for learning with multi-relational data__. Machine Learning 2014. _Bordes, Antoine and Glorot, Xavier and Weston, Jason and Bengio, Yoshua_. [[Paper](https://arxiv.org/pdf/1301.3485)]

__[⬆](#awesome-knowledge-graph)__