
### Entity Recognition
__Leveraging Multi-token Entities in Document-level Named Entity Recognition__
AAAI 2020. _Hu et al._ [[Paper](http://playbigdata.ruc.edu.cn/dou/publication/2020_aaai_ner.pdf)]

__Robust Named Entity Recognition with Truecasing Pretraining__. 
AAAI 2020. _Mayhew et al._ [[Paper](https://arxiv.org/pdf/1912.07095)]

__Multi-grained Named Entity Recognition__. ACL 2019. _Xia, Congying and Zhang, Chenwei and Yang, Tao and Li, Yaliang and Du, Nan and Wu, Xian and Fan, Wei and Ma, Fenglong and Philip, S Yu_. [[Paper](https://arxiv.org/abs/1906.08449)]

__Neural architectures for named entity recognition__. NAACL 2017. _Lample, Guillaume and Ballesteros, Miguel and Subramanian, Sandeep and Kawakami, Kazuya and Dyer, Chris_. [[Paper](https://arxiv.org/pdf/1603.01360)] [[Cdde](https://github.com/glample/tagger)] [[Code](https://github.com/clab/stack-lstm-ner)]

__Named entity recognition with bidirectional LSTM-CNNs__. TACL 2016. _Chiu, Jason PC and Nichols, Eric_. [[Paper](https://www.mitpressjournals.org/doi/pdf/10.1162/tacl_a_00104)]

__Novel Entity Discovery from Web Tables__
WWW 2020. _Zhang et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380205)]

__MetaNER: Named Entity Recognition with Meta-Learning__
WWW 2020. _Li et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380127)]

### Entity Alignment
__Collective Multi-type Entity Alignment Between Knowledge Graphs__
WWW 2020. _Zhu et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380289)]

__Entity Alignment between Knowledge Graphs Using Attribute Embeddings__. AAAI 2019. _Trsedya, Bayu Distiawan and Qi, Jianzhong and Zhang, Rui_. [[Paper](https://people.eng.unimelb.edu.au/jianzhongq/papers/AAAI2019_EntityAlignment.pdf)] [[Code](https://bitbucket.org/bayudt/kba/src/master/)]

__Multi-view Knowledge Graph Embedding for Entity Alignment__. IJCAI 2019. _Zhang, Qingheng and Sun, Zequn and Hu, Wei and Chen, Muhao and Guo, Lingbing and Qu, Yuzhong_. [[Paper](https://arxiv.org/pdf/1906.02390.pdf)] [[Code](https://github.com/nju-websoft/MultiKE)]

__Co-training embeddings of knowledge graphs and entity descriptions for cross-lingual entity alignment__. IJCAI 2018. _Chen, Muhao and Tian, Yingtao and Chang, Kai-Wei and Skiena, Steven and Zaniolo, Carlo_. [[Paper](https://www.ijcai.org/proceedings/2018/0556.pdf)]

__Bootstrapping Entity Alignment with Knowledge Graph Embedding__.  IJCAI 2018. _Zequn Sun, Wei Hu, Qingheng Zhang and Yuzhong Qu._ [[Paper](https://www.ijcai.org/proceedings/2018/0611.pdf)] [[Code](https://github.com/nju-websoft/BootEA)] [[Note](./notes/embedding/BootEA.md)]  

__Cross-lingual Knowledge Graph Alignment via Graph Convolutional Networks__. EMNLP 2018.
_Zhichun Wang, Qingsong Lv, Xiaohan Lan, Yu Zhang_. [[Paper](http://www.aclweb.org/anthology/D18-1032)]

__Cross-lingual entity alignment via joint attribute-preserving embedding__. ISWC 2017. _Sun, Zequn and Hu, Wei and Li, Chengkai_. [[Paper](https://arxiv.org/pdf/1708.05045)]

__Iterative entity alignment via joint knowledge embeddings__. IJCAI 2017. _Zhu, Hao and Xie, Ruobing and Liu, Zhiyuan and Sun, Maosong_. [[Paper](https://www.ijcai.org/proceedings/2017/0595.pdf)] [[Code](https://github.com/thunlp/IEAJKE)]

__Multilingual knowledge graph embeddings for cross-lingual knowledge alignment__. IJCAI 2017. _Chen, Muhao and Tian, Yingtao and Yang, Mohan and Zaniolo, Carlo_. [[Paper](https://www.ijcai.org/proceedings/2017/0209.pdf)]

__Aligning Knowledge Base and Document Embedding Models Using Regularized Multi-Task Learning__. ISWC 2018. _Baumgartner, Matthias and Zhang, Wen and Paudel, Bibek and Dell’Aglio, Daniele and Chen, Huajun and Bernstein, Abraham_. [[Paper](https://link.springer.com/chapter/10.1007/978-3-030-00671-6_2)]


### Entity Disambiguation
__High Quality Candidate Generation and Sequential Graph Attention Network for Entity Linking__
WWW 2020. _Fang et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380146)]

__Dynamic Graph Convolutional Networks for Entity Linking__
WWW 2020. _Wu et al._ [[Paper](https://dl.acm.org/doi/abs/10.1145/3366423.3380192)]

__Improving Entity Linking by Modeling Latent Relations between Mentions__. ACL 2018. _Le, Phong and Titov, Ivan_. [[Paper](https://arxiv.org/pdf/1804.10637)]

__Deep Joint Entity Disambiguation with Local Neural Attention__. EMNLP 2017. _Ganea, Octavian-Eugen and Hofmann, Thomas_. [[Paper](https://arxiv.org/pdf/1704.04920)]

__Design challenges for entity linking__. TACL 2015. _Ling, Xiao and Singh, Sameer and Weld, Daniel S_. [[Paper](https://www.mitpressjournals.org/doi/pdfplus/10.1162/tacl_a_00141)]

__Leveraging deep neural networks and knowledge graphs for entity disambiguation__. 2015. _Huang, Hongzhao and Heck, Larry and Ji, Heng_. [[Paper](https://arxiv.org/pdf/1504.07678.pdf)]

__Entity disambiguation by knowledge and text jointly embedding__. CoNLL 2016. _Fang, Wei and Zhang, Jianwen and Wang, Dilin and Chen, Zheng and Li, Ming_. [[Paper](https://www.aclweb.org/anthology/K16-1026)]

__End-to-End Neural Entity Linking__. CoNLL 2018.
_Nikolaos Kolitsas, Octavian-Eugen Ganea, Thomas Hofmann_
[[Paper](https://arxiv.org/abs/1808.07699})]


### Entity Typing
__Label noise reduction in entity typing by heterogeneous partial-label embedding__. KDD 2016. _Ren, Xiang and He, Wenqi and Qu, Meng and Voss, Clare R and Ji, Heng and Han, Jiawei_. [[Paper](https://arxiv.org/pdf/1602.05307)]

__Label Embedding for Zero-shot Fine-grained Named Entity Typing__. COLING 2016. _Yukun Ma, Erik Cambria, Sa Gao_. [[Paper](https://www.aclweb.org/anthology/C16-1017)] [[Code](https://github.com/fnet-coling/ner-zero)]