## One/few-Shot and Zero-Shot Learning
__Learning to Extrapolate Knowledge: Transductive Few-shot Out-of-Graph Link Prediction__.
NeurIPS 2020. _Baek et al._ [[Paper](https://arxiv.org/abs/2006.06648)]

__Few-shot Relation Extraction via Bayesian Meta-learning on Task Graphs__.
ICML 2020. _Qu et al._ [[Paper](https://proceedings.icml.cc/static/paper_files/icml/2020/5706-Paper.pdf)]

__Generative Adversarial Zero-Shot Relational Learning for Knowledge Graphs__
AAAI 2020. _Qin et al_. [[Paper](https://arxiv.org/pdf/2001.02332.pdf)]

__One-Shot Relational Learning for Knowledge Graphs__. EMNLP 2018. _Xiong, Wenhan, Mo Yu, Shiyu Chang, Xiaoxiao Guo, and William Yang Wang._ [[Paper](https://arxiv.org/pdf/1808.09040)] [[Code](https://github.com/xwhan/One-shot-Relational-Learning)] [[Note](./notes/few-shot/one-shot-relational.md)]  

__Multi-Label Zero-Shot Learning with Structured Knowledge Graphs__. CVPR 2018. _Chung-Wei Lee, Wei Fang, Chih-Kuan Yeh, Yu-Chiang Frank Wang_. [[Paper](http://openaccess.thecvf.com/content_cvpr_2018/papers/Lee_Multi-Label_Zero-Shot_Learning_CVPR_2018_paper.pdf)]

__Rethinking Knowledge Graph Propagation for Zero-Shot Learning__. CVPR 2019. _Kampffmeyer, Michael and Chen, Yinbo and Liang, Xiaodan and Wang, Hao and Zhang, Yujia and Xing, Eric P_. [[Paper](https://arxiv.org/pdf/1805.11724.pdf)] [[Code](https://github.com/cyvius96/adgpm)]

__Zero-shot Recognition via Semantic Embeddings and Knowledge Graphs__. CVPR 2018. _Xiaolong Wang, Yufei Ye, Abhinav Gupta_. [[Paper](https://arxiv.org/pdf/1803.08035.pdf)] [[Code](https://github.com/JudyYe/zero-shot-gcn)]

__Hybrid Attention-Based Prototypical Networks for Noisy Few-Shot Relation Classification__. AAAI 2019. _Tianyu Gao, Xu Han, Zhiyuan Liu, Maosong Sun_. [[Paper](https://www.aaai.org/Papers/AAAI/2019/AAAI-GaoTianyu.915.pdf)] [[Code](http://github.com/thunlp/HATT-Proto)]

__FewRel: A Large-Scale Supervised Few-Shot Relation Classification Dataset with State-of-the-Art Evaluation__. EMNLP 2018. _Han, Xu and Zhu, Hao and Yu, Pengfei and Wang, Ziyun and Yao, Yuan and Liu, Zhiyuan and Sun, Maosong_. [[Paper](https://arxiv.org/pdf/1810.10147)]