## Knowledge Graph Reasoning
__Knowledge Base Reasoning with Convolutional-based Recurrent Neural Networks__.
TKDE 2019. _Zhu et al._. [[Paper](https://ieeexplore.ieee.org/abstract/document/8890615)]

__DRUM: End-To-End Differentiable Rule Mining On Knowledge Graphs__. NeurIPS 2019. _Ali Sadeghian, Mohammadreza Armandpour, Patrick Ding, Daisy Zhe Wang_. [[Paper](https://papers.nips.cc/paper/9669-drum-end-to-end-differentiable-rule-mining-on-knowledge-graphs.pdf)] [[Code](https://github.com/alisadeghian/DRUM)]

__Chain of Reasoning for Visual Question Answering__. NIPS 2018. _Wu, Chenfei and Liu, Jinlai and Wang, Xiaojie and Dong, Xuan_. [[Paper](https://papers.nips.cc/paper/7311-chain-of-reasoning-for-visual-question-answering.pdf)]

__Out of the Box: Reasoning with Graph Convolution Nets for Factual Visual Question Answering__. NIPS 2018. _Medhini Narasimhan, Svetlana Lazebnik, Alex Schwing_. [[Paper](http://papers.nips.cc/paper/7531-out-of-the-box-reasoning-with-graph-convolution-nets-for-factual-visual-question-answering)]

__Symbolic Graph Reasoning Meets Convolutions__. NIPS 2018. _Xiaodan Liang, Zhiting HU, Hao Zhang, Liang Lin, and Eric P. Xing_. [[Paper](http://papers.nips.cc/paper/7456-symbolic-graph-reasoning-meets-convolutions)]

__Variational Knowledge Graph Reasoning__. NAACL-HLT 2018. _Wenhu Chen, Wenhan Xiong, Xifeng Yan, William Yang Wang_. [[Paper](https://arxiv.org/abs/1803.06581)]

__DeepPath: A Reinforcement Learning Method for Knowledge Graph Reasoning__. EMNLP 2017. _Wenhan Xiong, Thien Hoang, William Yang Wang_. [[Paper](http://www.cs.ucsb.edu/~william/papers/DeepPath.pdf)] [[Code](https://github.com/xwhan/DeepPath)]

__Neural Symbolic Machines: Learning Semantic Parsers on Freebase with Weak Supervision__. ACL 2017. _Liang, Chen and Berant, Jonathan and Le, Quoc and Forbus, Kenneth D and Lao, Ni_. [[Paper](https://arxiv.org/pdf/1611.00020)]

__Efficient Inference and Learning in a Large Knowledge Base: Reasoning with Extracted Information using a Locally Groundable First-Order Probabilistic Logic__. MLJ 2015. _William Yang Wang, Kathryn Mazaitis, Ni Lao, William W. Cohen_. [[Paper](http://www.cs.ucsb.edu/~william/papers/ProPPR_MLJ_sub.pdf)] [[Code](https://github.com/TeamCohen/ProPPR/)]

__Reasoning with neural tensor networks for knowledge base completion__. NIPS 2013. _Socher, Richard and Chen, Danqi and Manning, Christopher D and Ng, Andrew_. [[Paper](https://papers.nips.cc/paper/5028-reasoning-with-neural-tensor-networks-for-knowledge-base-completion.pdf)]

__Probabilistic reasoning via deep learning: Neural association models__. arXiv 2016. _Liu, Quan and Jiang, Hui and Evdokimov, Andrew and Ling, Zhen-Hua and Zhu, Xiaodan and Wei, Si and Hu, Yu_. [[Paper](https://arxiv.org/pdf/1603.07704.pdf)]

__Chains of Reasoning over Entities, Relations, and Text using Recurrent Neural Networks__. EACL 2017. _Das, Rajarshi and Neelakantan, Arvind and Belanger, David and McCallum, Andrew_. [[Paper](https://arxiv.org/pdf/1607.01426.pdf)] [[Code](https://rajarshd.github.io/ChainsofReasoning/)]

__Differentiable learning of logical rules for knowledge base reasoning__. NIPS 2017. _Yang, Fan and Yang, Zhilin and Cohen, William W_. [[Paper](https://papers.nips.cc/paper/6826-differentiable-learning-of-logical-rules-for-knowledge-base-reasoning.pdf)]

__Go for a walk and arrive at the answer: Reasoning over paths in knowledge bases using reinforcement learning__. ICLR 2017. _Das, Rajarshi and Dhuliawala, Shehzaad and Zaheer, Manzil and Vilnis, Luke and Durugkar, Ishan and Krishnamurthy, Akshay and Smola, Alex and McCallum, Andrew_. [[Paper](https://arxiv.org/pdf/1711.05851)]

__Iteratively Learning Embeddings and Rules for Knowledge Graph Reasoning__. WWW 2019. _Zhang, Wen and Paudel, Bibek and Wang, Liang and Chen, Jiaoyan and Zhu, Hai and Zhang, Wei and Bernstein, Abraham and Chen, Huajun_. [[Paper](https://arxiv.org/pdf/1903.08948)]

__Variational reasoning for question answering with knowledge graph__. AAAI 2018. _Zhang, Yuyu and Dai, Hanjun and Kozareva, Zornitsa and Smola, Alexander J and Song, Le_. [[Paper](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/download/16983/16176)]

__The winograd schema challenge__. Thirteenth International Conference on the Principles of Knowledge Representation and Reasoning 2012. _Levesque, Hector and Davis, Ernest and Morgenstern, Leora_. [[Paper](https://www.aaai.org/ocs/index.php/KR/KR12/paper/download/4492/4924)]

__Straight to the facts: Learning knowledge base retrieval for factual visual question answering__. ECCV 2018. _Narasimhan, Medhini and Schwing, Alexander G_. [[Paper](http://openaccess.thecvf.com/content_ECCV_2018/papers/Medhini_Gulganjalli_Narasimhan_Straight_to_the_ECCV_2018_paper.pdf)]

__Inferring and executing programs for visual reasoning__. ICCV 2017. _Johnson, Justin and Hariharan, Bharath and van der Maaten, Laurens and Hoffman, Judy and Fei-Fei, Li and Lawrence Zitnick, C and Girshick, Ross_. [[Paper](http://openaccess.thecvf.com/content_ICCV_2017/papers/Johnson_Inferring_and_Executing_ICCV_2017_paper.pdf)]

__End-to-end differentiable proving__. NIPS 2017. _Rocktäschel, Tim and Riedel, Sebastian_. [[Paper](https://papers.nips.cc/paper/6969-end-to-end-differentiable-proving.pdf)]
